summaryrefslogtreecommitdiff
path: root/jwebbinar_prep/build.sh
diff options
context:
space:
mode:
authorJoshua Neuheisel <joshua@neuheisel.us>2021-09-20 13:54:19 -0400
committerGitHub <noreply@github.com>2021-09-20 13:54:19 -0400
commit1824d25c36a7ec4b902ff0030e09c83c5d5a6cc7 (patch)
tree97342bf1454501133c94df42726e1ed6d9a01ff2 /jwebbinar_prep/build.sh
parent6a61c2a3aa72fc6cd3524451cf82293631a7b714 (diff)
parent2a8e990167d6e899f2f4ad4c7e820a2ad6374df6 (diff)
downloadastroconda-contrib-1824d25c36a7ec4b902ff0030e09c83c5d5a6cc7.tar.gz
Merge pull request #743 from larrybradley/jwebbinar-notebooks
Add recipe for jwebbinar notebooks
Diffstat (limited to 'jwebbinar_prep/build.sh')
-rw-r--r--jwebbinar_prep/build.sh14
1 files changed, 14 insertions, 0 deletions
diff --git a/jwebbinar_prep/build.sh b/jwebbinar_prep/build.sh
new file mode 100644
index 0000000..7ab527c
--- /dev/null
+++ b/jwebbinar_prep/build.sh
@@ -0,0 +1,14 @@
+if [[ -z ${PKG_NAME} ]]; then
+ echo "Conda build has changed out from under you. PKG_NAME is undefined..."
+ exit 1
+fi
+
+dest="${PREFIX}/share/jwebbinar_notebooks"
+usedir="$(pwd)"
+
+if [[ -d ${usedir}/work ]]; then
+ usedir=${usedir}/work
+fi
+
+mkdir -p "${dest}"
+rsync -av --exclude '.git*' --exclude 'README.md' --exclude '.DS_Store' "${usedir}" "${dest}"/